package com.sun.java.swing.plaf.windows;

import javax.swing.AbstractButton;
import java.awt.Graphics;
import javax.swing.border.EmptyBorder;
import javax.swing.border.Border;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;
import javax.swing.plaf.basic.BasicToolBarUI;

public class WindowsToolBarUI extends BasicToolBarUI
{
    public WindowsToolBarUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        return new WindowsToolBarUI();
    }
    
    @Override
    protected void installDefaults() {
        if (XPStyle.getXP() != null) {
            this.setRolloverBorders(true);
        }
        super.installDefaults();
    }
    
    @Override
    protected Border createRolloverBorder() {
        if (XPStyle.getXP() != null) {
            return new EmptyBorder(3, 3, 3, 3);
        }
        return super.createRolloverBorder();
    }
    
    @Override
    protected Border createNonRolloverBorder() {
        if (XPStyle.getXP() != null) {
            return new EmptyBorder(3, 3, 3, 3);
        }
        return super.createNonRolloverBorder();
    }
    
    @Override
    public void paint(Graphics g, JComponent c) {
        XPStyle xp = XPStyle.getXP();
        if (xp != null) {
            xp.getSkin(c, TMSchema.Part.TP_TOOLBAR).paintSkin(g, 0, 0, c.getWidth(), c.getHeight(), null, true);
        }
        else {
            super.paint(g, c);
        }
    }
    
    @Override
    protected Border getRolloverBorder(AbstractButton b) {
        XPStyle xp = XPStyle.getXP();
        if (xp != null) {
            return xp.getBorder(b, WindowsButtonUI.getXPButtonType(b));
        }
        return super.getRolloverBorder(b);
    }
}
